KDoubleValidator class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDoubleValidator Class Reference

KDoubleValidator extends QDoubleValidator to be locale-aware. A locale-aware QDoubleValidator. More...

`#include <knumvalidator.h>`

Inheritance diagram for KDoubleValidator:

[legend]
Collaboration diagram for KDoubleValidator:

[legend]
List of all members.

## Public Member Functions
| KDoubleValidator (QObject *parent, const char *name=0)
| Constuct a locale-aware KDoubleValidator with default range (whatever QDoubleValidator uses for that) and parent `parent`.
| KDoubleValidator (double bottom, double top, int decimals, QObject *parent, const char *name=0)
| Constuct a locale-aware KDoubleValidator for range [`bottom`,`top`] and a precision of `decimals` decimals after the decimal point.
virtual | ~KDoubleValidator ()
| Destructs the validator.
virtual QValidator::State | validate (QString &input, int &pos) const
| Overloaded for internal reasons.
bool | acceptLocalizedNumbers () const
void | setAcceptLocalizedNumbers (bool accept)
| Sets whether to accept localized numbers (default: true).

## Detailed Description

KDoubleValidator extends QDoubleValidator to be locale-aware. A locale-aware QDoubleValidator.

That means that - subject to not being disabled - KLocale::decimalPoint(), KLocale::thousandsSeparator() and KLocale::positiveSign() and KLocale::negativeSign() are respected.

Author:
  Marc Mutz <mutz@kde.org>

Version:
  Id
    knumvalidator.h,v 1.11.2.1 2002/12/29 15:50:19 buis Exp

See also:
  KIntValidator

Since:
  3.1

Definition at line 178 of file knumvalidator.h.

## Constructor & Destructor Documentation

KDoubleValidator::KDoubleValidator | ( | QObject * | parent,
|  | const char * | name = 0
| ) |

| Constuct a locale-aware KDoubleValidator with default range (whatever QDoubleValidator uses for that) and parent `parent`. Definition at line 302 of file knumvalidator.cpp. References KStdAccel::name().

KDoubleValidator::KDoubleValidator | ( | double | bottom,
|  | double | top,
|  | int | decimals,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

| Constuct a locale-aware KDoubleValidator for range [`bottom`,`top`] and a precision of `decimals` decimals after the decimal point. Definition at line 308 of file knumvalidator.cpp. References KStdAccel::name().

KDoubleValidator::~KDoubleValidator | ( |  | ) | `[virtual]`

| Destructs the validator. Definition at line 315 of file knumvalidator.cpp.

## Member Function Documentation

QValidator::State KDoubleValidator::validate | ( | QString & | input,
|  | int & | pos
| ) | const`[virtual]`

| Overloaded for internal reasons. The API is not affected. Reimplemented from QDoubleValidator. Definition at line 328 of file knumvalidator.cpp. References acceptLocalizedNumbers(), KLocale::decimalSymbol(), QString::find(), QString::isEmpty(), QString::length(), KGlobal::locale(), KLocale::negativeSign(), KLocale::positiveSign(), QString::remove(), QString::replace(), and KLocale::thousandsSeparator().

bool KDoubleValidator::acceptLocalizedNumbers | ( |  | ) | const

| Returns: whether localized numbers are accepted (default: true) Definition at line 320 of file knumvalidator.cpp. Referenced by validate().

void KDoubleValidator::setAcceptLocalizedNumbers | ( | bool | accept | ) |

| Sets whether to accept localized numbers (default: true). Definition at line 324 of file knumvalidator.cpp.

The documentation for this class was generated from the following files:

- knumvalidator.h
- knumvalidator.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:00:47 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001